Development versions
Posted By Gregory

La version de développement 6.3


English version: Development version 6.3


Utilisez ce lien pour télécharger la version de développement du plugin:

https://my.wpcerber.com/downloads/wp-cerber.zip

Cette version apporte un nouveau moyen plus avancé et plus efficace de charger des modules de plug-in et le moteur de sécurité du plug-in. Par défaut, Cerber Security se charge dans un ancien mode Legacy. Mais à partir de la version 6.3, la méthode avancée est un mode standard de chargement et d’initialisation du plugin. Dans ce mode, le plug-in démarre tout de suite après l'initialisation du noyau WordPress, mais avant le chargement de tout autre plug-in ou thème. Cela permet à Cerber Security d'intercepter et d'inspecter plus efficacement les requêtes suspectes et de protéger WordPress contre les attaques visant à exploiter une vulnérabilité dans un plugin ou un thème et que le code vulnérable s'exécute lorsque WordPress charge le plugin ou le thème.

Il est conseillé d'activer le chargement en mode standard.

Pour activer ce nouveau mode, accédez à la page admin du plug-in Main Settings et définissez le paramètre Charger le moteur de sécurité sur le mode Standard . Une fois que cela est fait, un module de démarrage spécial (aaa-wp-cerber.php) sera copié du dossier du plugin vers le dossier plug-in de WordPress. Si la copie échoue, un message d’avertissement s’affiche et le mode sélectionné est annulé.

Améliorations

  • Un nouveau paramètre pour désactiver les notifications par courrier électronique sur les nouvelles versions du plugin. Il se trouve sur la page d'administration Notification dans la section Notifications par courrier électronique.
  • Les performances du sous-système de journalisation sont améliorées: la requête de base de données a été mise à jour.

Mises à jour

  • En mode intelligent, si un utilisateur n'est pas connecté, toutes les demandes adressées au tableau de bord de l'administrateur sont consignées.
  • Les versions de PHP antérieures à la version 5.4 ne sont plus prises en charge. Le code lui-même est toujours compatible et peut être installé sur PHP 5.3.

En savoir plus sur la version précédente du plugin: https://wpcerber.com/wp-cerber-security-6-2/


I'm a team lead in Cerber Tech. I'm a software & database architect, WordPress - PHP - SQL - JavaScript developer. I started coding in 1993 on IBM System/370 (yeah, that was amazing days) and today software engineering at Cerber Tech is how I make my living. I've taught to have high standards for myself as well as using them in developing software solutions.

View Comments
There are currently no comments.